!c Description:
!c  気相以外の化学種のモル数をゼロにする
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-05-31    作成
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved


module interface_rmcnd
  interface 

     subroutine rmcnd(mol, property)
       use prm_type, only: type_property
       real(8), intent(inout)             :: mol(:)
       type(type_property), intent(in)    :: property(:)
     end subroutine rmcnd

  end interface 
end module interface_rmcnd



subroutine rmcnd(mol, property)
  use prm_type, only: type_property

  implicit none
  real(8), intent(inout)             :: mol(:)
  type(type_property), intent(in)    :: property(:)

  
  !相番号が 1 以外の化学種のモル数をゼロに
  where (property(:)%phase > 1) 
     mol(:) = 0.0d0
  end where


end subroutine rmcnd



